/**
 * Rename this file and add extra JS added for the template.
 */
 
jQuery(document).ready(function(){		

		jQuery("#overlay").hide();
		jQuery(".tab,#overlay,#closePanel").click(function(){
			if (paneltype == 'opacity') {
     			jQuery("#hiddenPanel").animate({opacity: "toggle"}, 600);
     			jQuery("#overlay").animate({opacity: "toggle"}, 600);
     			
  			}		
  			if (paneltype == 'width') {
     			jQuery("#hiddenPanel").animate({width: "toggle"}, 600);
  			}
  			if (paneltype == 'height') {
     			jQuery("#hiddenPanel").animate({height: "toggle"}, 600);
  			}
  			
		jQuery("a#closePanel").toggleClass("active");
		jQuery("a#openPanel").toggleClass("active");
		return false;
	});
	
	// Centers the hidden panel
	jQuery.fn.center = function () {
   	 this.css("position","absolute");
   	 this.css("top", ( jQuery(window).height() - this.height() ) / 2+jQuery(window).scrollTop() + "px");
   	 this.css("left", ( jQuery(window).width() - this.width() ) / 2+jQuery(window).scrollLeft() + "px");
   	 return this;
	}

	jQuery("#hiddenPanel ").center();

	jQuery(window).resize(function(){
		window_width = jQuery(window).width();
		window_height = jQuery(window).height();

	jQuery("#hiddenPanel").each(function(){
			var modal_height = jQuery(this).outerHeight();
			var modal_width = jQuery(this).outerWidth();
			var top = (window_height-modal_height)/2;
			var left = (window_width-modal_width)/2;
		jQuery(this).css({'top' : top , 'left' : left});
	});
});
	
	// Equal Heights Script
	function equalHeight(group) {
	var tallest = 0;
	group.each(function() {
		var thisHeight = jQuery(this).height();
		if(thisHeight > tallest) {
			tallest = thisHeight;
		}
	});
	group.height(tallest);
	}
	
	// mit license. paul irish. 2010.
	// webkit fix from Oren Solomianik. thx!
	// callback function is passed the last image to load
	//   as an argument, and the collection as `this`


	jQuery.fn.imagesLoaded = function(callback){
	  var elems = this.filter('img'),
	      len   = elems.length,
	      blank = "data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///ywAAAAAAQABAAACAUwAOw==";

	  elems.bind('load',function(){
	      if (--len <= 0 && this.src !== blank){ callback.call(elems,this); }
	  }).each(function(){
	     // cached images don't fire load sometimes, so we reset src.
	     if (this.complete || this.complete === undefined){
	        var src = this.src;
	        // webkit hack from http://groups.google.com/group/jquery-dev/browse_thread/thread/eee6ab7b2da50e1f
	        // data uri bypasses webkit log warning (thx doug jones)
	        this.src = blank;
	        this.src = src;
	     }  
	  }); 
	  return this;
	};

	jQuery('img').imagesLoaded(function() { 
			equalHeight(jQuery("#bottom .moduletable"));
			equalHeight(jQuery("#leftCol,#midCol, #rightCol"));
	});	
});